NamedNodeMapImpl (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xs.opti.NamedNodeMapImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class NamedNodeMapImpl

    java.lang.Object
      org.apache.xerces.impl.xs.opti.NamedNodeMapImpl

All Implemented Interfaces:
  org.w3c.dom.NamedNodeMap

    public class NamedNodeMapImpl

extends java.lang.Object
implements org.w3c.dom.NamedNodeMap

Version:
  $Id: NamedNodeMapImpl.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`NamedNodeMapImpl(org.w3c.dom.Attr[] attrs)`

Method Summary
`int` | `getLength()`
`org.w3c.dom.Node` | `getNamedItem(java.lang.String name)`
`org.w3c.dom.Node` | `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.Node` | `item(int index)`
`org.w3c.dom.Node` | `removeNamedItem(java.lang.String name)`
`org.w3c.dom.Node` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.Node` | `setNamedItem(org.w3c.dom.Node arg)`
`org.w3c.dom.Node` | `setNamedItemNS(org.w3c.dom.Node arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedNodeMapImpl

    public NamedNodeMapImpl(org.w3c.dom.Attr[] attrs)

Method Detail

### getNamedItem

    public org.w3c.dom.Node getNamedItem(java.lang.String name)

  Specified by:
    `getNamedItem` in interface `org.w3c.dom.NamedNodeMap`

### item

    public org.w3c.dom.Node item(int index)

  Specified by:
    `item` in interface `org.w3c.dom.NamedNodeMap`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.NamedNodeMap`

### getNamedItemNS

    public org.w3c.dom.Node getNamedItemNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Specified by:
    `getNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`

### setNamedItemNS

    public org.w3c.dom.Node setNamedItemNS(org.w3c.dom.Node arg)
                                    throws org.w3c.dom.DOMException

  Specified by:
    `setNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### setNamedItem

    public org.w3c.dom.Node setNamedItem(org.w3c.dom.Node arg)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `setNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### removeNamedItem

    public org.w3c.dom.Node removeNamedItem(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Specified by:
    `removeNamedItem` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

### removeNamedItemNS

    public org.w3c.dom.Node removeNamedItemNS(java.lang.String namespaceURI,
                                              java.lang.String localName)
                                       throws org.w3c.dom.DOMException

  Specified by:
    `removeNamedItemNS` in interface `org.w3c.dom.NamedNodeMap`
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.